Subject: [PATCH v9 12/12] PCI: Introduce pci_remap_iospace() for remapping PCI I/O bus resources into CPU space

From: [email-masked] (Catalin Marinas)
Date: Wed, 13 Aug 2014 11:01:18 +0100

On Tue, Aug 12, 2014 at 05:25:25PM +0100, Liviu Dudau wrote:
> Introduce a default implementation for remapping PCI bus I/O resources
> onto the CPU address space. Architectures with special needs may
> provide their own version, but most should be able to use this one.
> 
> Cc: Bjorn Helgaas <[email-masked]>
> Cc: Arnd Bergmann <[email-masked]>
> Cc: Rob Herring <[email-masked]>
> Signed-off-by: Liviu Dudau <[email-masked]>

I guess you could have added the generic pgprot_device definition to
this patch and the arm64 specific one in the separate arm64 PCIe support
(and one less patch in total). But not a big issue either way.

-- 
Catalin